Bug 65593 - turkish keyboard layout
turkish keyboard layout
Status: CLOSED RAWHIDE
Product: Red Hat Linux Beta
Classification: Retired
Component: redhat-config-keyboard (Show other bugs)
beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Ben Levenson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-28 06:13 EDT by mustafa ogun
Modified: 2007-04-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-09 09:49:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mustafa ogun 2002-05-28 06:13:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc3) Gecko/20020523

Description of problem:
Turkish Q and F keyboard support

i'm using Linux for 3 years, i tried 2 or 3 dist. but all of them have same
absence.. there is no turkish keyboard support which is good working.

we use iso8859-9 , and we have "G with hat" , "C with under dot" , "| - like
germans" "S with under dot" , "i without dot" "v - like germans"

some of them are working well, "C with dot" , | and v works.

but unfortunately we have problems on console and X with "G with hat, and S with
dot"

i hope you fix it next release.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.whenever i use X
2.whenever i use console
3.except kword --anyhow-- 
	

additional info : i'm not quite sure this problem about ki18n but its about an
internationalization problem i think.
Comment 1 Brent Fox 2002-06-04 12:27:45 EDT
This isn't a kde-i18n bug.  We're working on a new keyboard config tool, so I'll
assign it to that.
Comment 2 Brent Fox 2002-06-04 12:29:21 EDT
Can you attach your /etc/sysconfig/keyboard and /etc/X11/XF86Config-4 files? 
That way I can see what keymap you're currently using.
Comment 3 Brent Fox 2002-06-19 01:55:51 EDT
I've added the following line to the keyboard_models.py file:

'trq'                     : ['Turkish', 'tr', 'pc102', ''],


This should fix the problem.  Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.